#
# spec file for package python-pytest-runner
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pytest-runner
Version:        3.0
Release:        lp151.2.2
Summary:        Testing with Python
License:        MIT
Group:          Development/Languages/Python
Url:            http://pytest.org
Source:         https://files.pythonhosted.org/packages/source/p/pytest-runner/pytest-runner-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pytest >= 2.8}
BuildRequires:  %{python_module setuptools_scm >= 1.9}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Requires:       python-pytest >= 2.8
Requires:       python-setuptools_scm >= 1.9
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
Invoke py.test as distutils command with dependency resolution.

%prep
%setup -q -n pytest-runner-%{version}

%build
%python_build

%install
%python_install

%files %python_files
%defattr(-,root,root,-)
%doc README.rst CHANGES.rst LICENSE docs/*
%{python_sitelib}/*

%changelog
* Thu Nov  2 2017 arun@gmx.de
- update to version 3.0:
  * Dropped support for Python 2.6 and 3.1.
* Fri Oct 27 2017 arun@gmx.de
- update to version 2.12.2:
  * #33: Packaging refresh.
* Mon Oct  2 2017 jengelh@inai.de
- Ensure neutrality of description.
* Tue Sep 26 2017 arun@gmx.de
- update to version 2.12.1:
  * #32: Fix support for dependency_links.
- changes from version 2.12:
  * #30: Rework support for --allow-hosts and --index-url, removing
    dependence on setuptools.Distribution's private
    member. Additionally corrects logic in marker evaluation along
    with unit tests!
* Fri Mar  3 2017 jmatejek@suse.com
- fix requirements for broken python-setuptools_scm
* Thu Mar  2 2017 tbechtold@suse.com
- Fix python_module macro
- Fix Source url
* Mon Feb 27 2017 toddrme2178@gmail.com
- Fix macro usage.
* Sat Feb 25 2017 toddrme2178@gmail.com
-switch to single-spec version.
- update to version 2.11.1:
  * #28: Fix logic in marker evaluation.- changes from version 2.11:
  * #27: Improved wording in the README around configuration for the
    distutils command and pytest proper.
- changes from version 2.10.1:
  * #21: Avoid mutating dictionary keys during iteration.
- changes from version 2.10:
  * #20: Leverage technique in setuptools 794 to populate PYTHONPATH
    during test runs such that Python subprocesses will have a
    dependency context comparable to the test runner.
* Thu Sep  1 2016 tbechtold@suse.com
- update to 2.9:
  * Added Trove Classifier indicating this package is part
    of the pytest framework.
  * #16: Added a license file, required for membership to
    pytest-dev.
  * Releases are now made automatically by pushing a
    tagged release that passes tests on Python 3.5.
  * Moved hosting to Github.
- Use pypi.io as Source url
- Add LICENSE
- Adjust Requires and BuildRequires
* Thu Aug 13 2015 toddrme2178@gmail.com
- Update to version 2.6
  * Add support for un-named, environment-specific extras.
- Update to version 2.5.1
  * Restore Python 2.6 compatibility.
- Update to version 2.5
  * Moved hosting to pytest-dev:
    https://bitbucket.org/pytest-dev/pytest-runner
- Update to version 2.4
  * Added `documentation <https://pythonhosted.org/pytest-runner>`_.
  * Use setuptools_scm for version management and file discovery.
  * Updated internal packaging technique. README is now included
    in the package metadata.
- Update to version 2.3
  * Use hgdistver for version management and file discovery.
- Update to version 2.2
  * Honor ``.eggs`` directory for transient downloads as
    introduced in Setuptools 7.0.
- Update to version 2.1
  * The preferred invocation is now the 'pytest' command.
* Sun Nov 24 2013 p.drouand@gmail.com
- Update to version 2.0
  + Removed support for the alternate usage. The recommended usage (as a
    distutils command) is now the only supported usage.
  + Removed support for the --junitxml parameter to the ptr command.
    Clients should pass the same parameter (and all other py.test arguments)
    to py.test via the --addopts parameter.
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Jan 30 2013 saschpe@suse.de
- There are no docs to build, drop Sphinx dependency
* Wed Jan 23 2013 adrian@suse.de
- initial package of version 1.2
